Bug 75025 (mab4.3) - LibreOffice 4.3 most annoying bugs
Summary: LibreOffice 4.3 most annoying bugs
Status: CLOSED MOVED
Alias: mab4.3
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: highest critical
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on: 41169 44621 46447 50430 51534 56394 57215 59886 61410 64490 66232 67534 67712 68385 69495 70465 71278 73806 74124 74401 75137 75467 75665 75937 76595 77206 77479 77485 77592 77891 77913 77934 77973 78040 78266 78267 78603 78782 78845 78908 79113 79142 79147 79158 79236 79292 79303 79358 79360 79392 79395 79569 79673 79731 79810 79818 79834 80020 80025 80139 80140 80198 80474 80476 80661 80755 80927 80939 80960 81055 81113 81148 81264 81511 81617 81635 81803 81806 81876 82503 82936 83141 83366 84294 84352 84483 84556 84752 84810 85113 85128 85769 86305 86809 87760 88378 89227 91078
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-15 16:25 UTC by tommy27
Modified: 2017-02-18 19:52 UTC (History)
26 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description tommy27 2014-02-15 16:25:41 UTC
This is a meta issue to track the most annoying bugs in LibreOffice 4.3.x releases. It helps developers to focus on bugs that are most critical for users. Also it helps users to be aware of potential problems.

If anyone wants to raise a bug as “most annoying” for the release, please add the ID of that bug to the field “Depends on”, leave a short description of the bug, and explain in few words why that bug should get privileged, for example:

Add bug #XXXXX: Writer ignores page size setting. The default size is Letter. The document format is often broken when printing on A4 paper in Europe.

For details, criteria and further instructions, please see
  http://wiki.documentfoundation.org/Most_Annoying_Bugs
Comment 1 tommy27 2014-02-21 12:44:12 UTC
added Bug 74401 - FILEOPEN: DOCX: Figures with text which are on canvas become rectangles (regression from 4.2.x see attachment 94155 [details])
Comment 2 Norbert X 2014-03-09 11:11:24 UTC
Add bug #64490: LibreOffice Writer text highligthing is not compatible with Microsoft Word DOC and DOCX (highlighting transforms to background color)

This bug has very long history and it is a great interoperability problem. Please fix it as soon as possible. It breaks normal document exchange with MS Word users and drop negative light on LOO in MSO users eyes.
Comment 3 tommy27 2014-04-09 04:10:30 UTC
added Bug 77206 - CRASH printing with all applications
reproduced under Windows. Linux and Mac testers are welcome.
Comment 4 Jorendc 2014-04-25 18:36:52 UTC
Adding "Bug 77934 - right-click 'Picture...' dialog does not appear"
Comment 5 Jorendc 2014-04-26 13:03:13 UTC
Nominating "Bug 77913 - Menus are getting invisible when hovering"
Comment 6 Jorendc 2014-04-27 19:44:00 UTC
Hereby I nominate "Bug 77973 - VIEWING: Page not visible in Libreoffice Draw". This makes Draw quite unusable.
Comment 7 m.a.riosv 2014-05-04 03:23:50 UTC
Added https://bugs.freedesktop.org/show_bug.cgi?id=73998,

Crash pasting a text copied from Input Bar(Formula Bar) from others 4.2 versions.
Comment 8 tommy27 2014-05-05 18:02:08 UTC
I add Bug 78267 - Slideshow: does not go to next slide or animation by mouse click

regression from 4.2.x
makes Impress almost unusable.
Comment 9 tommy27 2014-05-15 14:31:46 UTC
added Bug 77891 - LibO crashes as soon as one enters text in a module
Comment 10 Jorendc 2014-05-17 20:55:47 UTC
Nominating "Bug 78040 - OLE content isn't visible when loading document prior to LibreOffice 4.3"
Comment 11 Joel Madero 2014-05-23 16:45:37 UTC
Added bug 79142 -
Regression - currently when making a 2nd custom style it replaces the first. You can no longer have more than 1
Comment 12 Joel Madero 2014-05-24 03:21:17 UTC
Added bug 79158

Background color applied through styles is not seen after save/reopen of document. Regression from 4.2.4.2, potential of affecting enough users where I think it belongs on the list.

Bibisected
Comment 13 Joel Madero 2014-05-24 21:46:40 UTC
Added bug 79113 - regression
On Windows XP LibreOffice crashes when Tools -> Options -> Language Settings -> Languages is selected
Comment 14 Joel Madero 2014-05-26 04:09:57 UTC
Added bug 79236 - regression
Following a set of steps and then undoing results in crash/loss of data

Bibisected
Comment 15 Joel Madero 2014-05-28 05:43:24 UTC
Added bug 79292 - regression

Saving as docx and then opening the file in MSO 2013 (only version affected) results in periods in indexes being removed. If bibisect is needed please request it on the bug
Comment 16 Yousuf Philips (jay) 2014-05-28 11:59:22 UTC
Added bug 78370 - regression
Makes LibO unusable/freeze in 4.2.4 and 4.3 beta in Linux and Windows.
Comment 17 Yousuf Philips (jay) 2014-05-29 08:05:35 UTC
Added bug 79392 - regression
Crashes 4.2.4 and 4.3 beta in Linux and Windows due to removing rows from Calc.
Comment 18 Laurent BP 2014-05-30 07:46:32 UTC
Add bug 79441: sorting with references to other sheet is broken. Regression from 4.2
Comment 19 Yousuf Philips (jay) 2014-05-31 14:46:34 UTC
Added bug 76636
Crashes 3.6 to 4.3 beta in Linux after undoing from merging cells
Comment 20 Kevin Suo 2014-06-09 13:49:25 UTC
Added Bug 79818 - DOCX DATALOSS: Line breaks lost
after edit-and-save.

This is a regression against 4.2.x.
Comment 21 Yousuf Philips (jay) 2014-06-11 09:46:15 UTC
Regression - worked in 4.2.4 and 4.2.6
Bug 79147: Start Center left application column has icons with black filling
Comment 22 Yousuf Philips (jay) 2014-06-11 13:23:12 UTC
Bug 79917: No 'Save a Copy' option in any other module but Writer
Comment 23 Jean-Baptiste Faure 2014-06-12 04:05:31 UTC
(In reply to comment #22)
> Bug 79917: No 'Save a Copy' option in any other module but Writer

Not a MAB (enhancement request).
Comment 24 Kevin Suo 2014-06-13 03:27:48 UTC
I think this old bug should belong to one of the MAB list:

Bug 39764 - UI: Function list category "Last Used" always inserts function from the top and duplicates existing list

It still exists in version 4.3.0.0 beta2 and 4.2.5.1.
Comment 25 tommy27 2014-06-13 06:35:40 UTC
(In reply to comment #24)
> I think this old bug should belong to one of the MAB list:
> 
> Bug 39764 - UI: Function list category "Last Used" always inserts function
> from the top and duplicates existing list
> 
> It still exists in version 4.3.0.0 beta2 and 4.2.5.1.

if the buig is already present in 4.2.x you should file it in the mab4.2 list.
so I'm removing it from mab4.3
Comment 26 Kevin Suo 2014-06-14 13:47:42 UTC
Adding Bug 80025 - Database file with thunderbird address book as data source crashes LibreOffice.
It's a 4.3 regression.
Comment 27 Kevin Suo 2014-06-18 01:48:39 UTC
Adding Bug 80140 - The "Spellcheck of entire document has been completed" dialog hangs when doing spell check in an Impres.

This is a regression in LibreOffice 4.3.
Comment 28 Marina Latini 2014-06-18 08:10:24 UTC
Added bug 80139 (Spell check does not work in Impress Presentation anymore)
This is a regression in LibreOffice 4.3.

Bug 80139 and 80140 can be reproduced also with Draw.

When you press F7 (or Tools->Spelling) I can confirm two behaviour. 
With a blank document (odp or odg) I reproduce the bug 80140, with a document with some content I can reproduce the bug 80139.
Comment 29 Kevin Suo 2014-06-19 09:22:48 UTC
Adding Bug 79810 - DOCX IMPORT: Wrong underline applied to list style.

This causes wrong formating when open DOCX file.
It's a regression in 4.3.0.0 beta2, and still exists in 4.3.0 RC1.
Comment 30 Yousuf Philips (jay) 2014-06-23 02:11:35 UTC
Regression - works in 4.2
Bug 80294: background color missing around images when at 0% transparency

New feature - not implemented properly
Bug 80373: picture dialog transparency tab linked to background transparency rather than image transparency
Comment 31 Yousuf Philips (jay) 2014-06-29 07:29:45 UTC
Bug 80661: MS Publisher file that crashes all non-distro provided libreoffice installations
Comment 32 Yousuf Philips (jay) 2014-06-30 00:03:12 UTC
Bug 80552: deleting a few characters from attached file freezes LibO.
Confirmed on 3.3 to master.
Comment 33 V Stuart Foote 2014-07-03 12:43:48 UTC
expert configuration has some pretty annoying issues that need some love soon.
nominating
bug 70465, bug 73806
Comment 34 Cor Nouws 2014-07-05 23:02:33 UTC
adding Bug 79358 - Properties "Create from" of index/table are changed on save
Comment 35 Adolfo Jayme 2014-07-06 18:45:42 UTC
Adding bug 80939: Retina support has regressed in 4.3 and LibreOffice windows are pixellated again.
Comment 36 Cor Nouws 2014-07-07 08:10:20 UTC
adding Bug 77485 - CONFIGURATION: macro-warning: path for trusted locations from previous LibreOffice, is corrupted by update
Comment 37 Cor Nouws 2014-07-08 08:31:13 UTC
Adding Bug 80020 - FORMATTING: lost of style inheritance
(drama when using Draw and Impress :( )
Comment 38 Yousuf Philips (jay) 2014-07-08 14:48:05 UTC
Reason - new feature
Bug 81055: Crash when opening an .odp containing 3D model
Comment 39 Joel Madero 2014-07-09 05:22:38 UTC
added bug 80448 - regression
ODS causing a crash, bibisected and backtrace on the bug
Comment 40 Joel Madero 2014-07-16 02:42:34 UTC
Added bug 80927 - regression
Quite serious but we don't know exactly what is triggering it (reproduced by a few people though)

Enable Quick Starter causes crash in LibreOffice. Reproduced with XPSp3, and W7
Comment 41 Joel Madero 2014-07-16 06:10:46 UTC
Added bug 81113 - Insert -> Link to External Data completely broken

regression + bibisected
Comment 42 Joel Madero 2014-07-22 03:06:01 UTC
Added bug 81617 - sort resulting in crash (regression between 4.3 and current build of 4.3, could be related to fix for bug 81309
Comment 43 Dominik 2014-07-22 12:26:30 UTC
i nominate https://bugs.freedesktop.org/show_bug.cgi?id=73678
Comment 45 Dominik 2014-07-22 12:35:11 UTC
addendum:

all three are regressions.

first one covering lost conditional formatting’s, 2nd too and the third is about the duplex print setting which is ignored since about 4.0
Comment 46 Dominik 2014-07-22 12:42:00 UTC
further i nominate https://bugs.freedesktop.org/show_bug.cgi?id=70653 EDITING: impossible to change existing math catalog element's font face without its name auto-switched to Unicode value 

as it's a regression and exists since 3.4.6 and is even worse since #80650 , because it would provide a work-around.
Comment 47 Joel Madero 2014-07-23 02:50:18 UTC
Added bug 81511 - dictionaries completely broken in 4.3.0.3 rc (works fine in beta1)
Comment 48 David Clayton 2014-07-25 07:37:12 UTC
(In reply to comment #47)
> Added bug 81511 - dictionaries completely broken in 4.3.0.3 rc (works fine
> in beta1)

I second this as a blocker for the 4.3.0 release. Even though bug 81511 has a fix for 4.3.1 I think it such a big regression from 4.3.0.1 that an RC4 should be considered.
Comment 49 ltlrd 2014-07-27 10:25:03 UTC
Bug 73650 : no more slideshow, a serious regression on windows 8.1.
Comment 50 Dave Barton 2014-07-27 12:49:07 UTC
(In reply to comment #49)
> Bug 73650 : no more slideshow, a serious regression on windows 8.1.

Cannot replicate this issue under Win 7 & 8.1 using:

Version: 4.2.5.2
Build ID: 6ff819b65674ae6c83f3cbab9e4a4c2b292a7a94

Version: 4.3.0.3
Build ID: 08ebe52789a201dd7d38ef653ef7a48925e7f9f7

The test slideshow from Bug 73650 and my own test files display perfectly in all the above configurations, both with and without hardware acceleration.
Comment 51 ign_christian 2014-07-27 17:34:41 UTC
Nominating Bug 81803 : upward fill handle / dragging cell with formula can only done 1 cell up  

Regression against 4.2.x
Comment 52 ign_christian 2014-07-30 13:59:23 UTC
Nominating Bug 80466 : no quickstarter icon in systray (Win7), regression
Comment 53 ape 2014-08-03 06:33:25 UTC
Added bug 80198, bug 79834 - regression to LibreOffice 4.2.x
Bug 80198 - Insert SVG file breaks the program (Windows OS)
Bug 79834 - [FILEOPEN] SVG Insert->From File takes 2+ time longer in 4.3 (Linux OS)
Comment 54 Adolfo Jayme 2014-08-05 07:10:21 UTC
Nominating bug 80755: “StartCenter displays thumbnails of password-protected files”. Duplicates of it just keep popping up.
Comment 55 Cor Nouws 2014-08-08 17:05:13 UTC
ading Bug 78845 - UI Icon Create New Folder in dialog File Save (As) closes dialog and doesn't show the needed dialog
Comment 56 Cor Nouws 2014-08-08 17:07:05 UTC
adding Bug 80960 - EDITING Opening file doesn't place the cursor on the last position of editing
Comment 57 ign_christian 2014-08-12 14:50:19 UTC
Nominating Bug 82503 : conditional format not copied to other cell

Regression against 4.2
Comment 58 ign_christian 2014-08-22 09:51:12 UTC
Nominating Bug 82936 : reference to another sheet lost after cell dragging or cut-paste

Regression introduced in 4.3.1.1, works correctly in 4.3.0.4
Comment 59 Florian Reisinger 2014-08-28 06:03:11 UTC
Nominating 79549 as we have severe problems in MaOS X displaying video. Users cannot use Audio/Video properly
Comment 60 Timur 2014-08-28 14:27:29 UTC
Added Bug 79731 - FILESAVE: PPTX: error saving presentation with table, regression, works in 4.2.
Comment 61 Joel Madero 2014-09-03 08:11:35 UTC
Added bug 83366 - regression
Crasher if you copy and paste data from a spreadsheet after closing the source document (prior to pasting).
Comment 62 squeezechart 2014-09-09 14:55:04 UTC
Add bug #83666 - Opening this XLSX in Calc does not display all conditional formats
Comment 63 squeezechart 2014-09-09 14:56:25 UTC
Add bug #83675 - embedded fonts are double and also non-used fonts are embedded - but the used font is not embedded
Comment 64 squeezechart 2014-09-09 14:58:12 UTC
Add bug #65070 - spreadsheet background doesn't get displayed/imported
Comment 65 squeezechart 2014-09-09 15:04:18 UTC
Add bug #66581 - embedded objects do not get imported from XLSX
Comment 66 Jacobo Aragunde Pérez 2014-09-11 08:32:07 UTC
Adding bug #81264: Calc is not accessible to screen readers on Linux if sheet is modified [a11y]

The result of this bug is Calc becoming unusable with screen readers, once they modify a cell they stop receiving accessible events. It seems to affect Windows and Linux users, so probably OS X version is affected too.
Comment 67 Nicolas R 2014-09-23 08:55:29 UTC
Added bug 83141 : unable to do global find / replace on large spreadsheet.
Regression regarding version 4.1.x and first 4.2.x
Comment 68 ign_christian 2014-09-27 02:59:01 UTC
Nominate Bug 82009 : black fields in pivot table, only for Mac OS X

A user confirmed that it's not occured in 4.2.x, affects many users
Comment 69 V Stuart Foote 2014-10-01 14:48:23 UTC
moved bug 84352 from mab4.2 to mab4.3
Comment 70 Norbert X 2014-10-01 18:14:08 UTC
nominate bug 37960 "Shift click to select multiple drawings does not work if picture there"
Comment 71 Dave Richards 2014-10-07 20:10:42 UTC
Nominating #84752# which is a regression, worked fine in 4.2 and broken in 4.3 and Master.  Impact is 100 users that use these types of ODT documents as part of daily use.  Opening and navigating is so slow, it's unusable.  MAB criteria met: freeze and unusual function.  No work around exists.
Comment 72 tommy27 2014-10-08 20:16:24 UTC
I add Bug 84810 - crash in paste special when combine options link and format

4.3.x regression causing crash in very simple paste special action.
Comment 73 Karel Hruska 2014-10-09 08:11:36 UTC
Added bug 84294 - Wrong frame-background in exported PDF

Regression, bibisected.
Comment 74 ralf.krapf 2014-10-17 10:03:49 UTC
Adding "Bug 84171 - LO Crash when editing legendbox"
-> Regression and CRASH
Comment 75 Timur 2014-10-20 12:11:19 UTC
Since 4.2 is close to EoL, I add Bug 61410 - "Save ODT as DOC or DOCX turns on Show Changes when Record Changes also on" here. It can confuse some users.
Comment 76 tommy27 2014-10-20 12:19:37 UTC
(In reply to Timur from comment #75)
> Since 4.2 is close to EoL, I add Bug 61410 - "Save ODT as DOC or DOCX turns
> on Show Changes when Record Changes also on" here. It can confuse some users.

please do not file 4.2.x bugs into the mab4.3 list until the real EOL of the 4.2.x branch is reached which is november 2014.

I'm removing it from the 4.3.x list.
if you will file that bug in the mab4.2 list.
Comment 77 Joel Madero 2014-10-23 01:25:24 UTC
Added bug 85113 - crasher with a simple copy of a table from presentation, regression
Comment 78 Joel Madero 2014-11-09 15:12:47 UTC
added bug 76975 - clicking on update seems to be causing a crash for some users.
Comment 79 Joel Madero 2014-11-16 21:00:30 UTC
Added bug 86305 - array formulas are being changed without user intending them to change. This is a regression that has been bibisected.
Comment 80 Timur 2014-11-20 19:23:59 UTC
I add again Bug 61410 - "Save ODT as DOC or DOCX turns on Show Changes when Record Changes also on" here. Not a damage, but it can confuse.
Comment 81 Vitaly 2014-11-22 10:02:38 UTC
Added bug 79303 - Page Numbering restarts when paragraph width is adjusted. This causes loss of data and prevents printing. Unacceptable in enterprise. This is a regression that has been bibisected.
Comment 82 vlb 2014-11-25 18:05:27 UTC
Add bug 86321: Graphic didn't automatic update when change variabele (recalculation not triggered).
Comment 83 m.a.riosv 2014-11-28 13:11:43 UTC
Added https://bugs.freedesktop.org/show_bug.cgi?id=86809: Filter operator "AND" is changed to "OR" after save and reopen.
Comment 84 Timur 2014-11-28 16:56:15 UTC
Added Bug 62255 - FILEOPEN: PPTX Import background color of table is set to blue
Comment 85 shunesburg69 2014-11-28 20:58:11 UTC
This bug is present in 4.2, 4.3 and 4.4 versions ( https://www.libreoffice.org/bugzilla/show_bug.cgi?id=79641 )
Comment 86 V Stuart Foote 2014-11-28 22:44:26 UTC
@shunesburg69, *,
(In reply to shunesburg69 from comment #85)
> This bug is present in 4.2, 4.3 and 4.4 versions (
> https://www.libreoffice.org/bugzilla/show_bug.cgi?id=79641 )

Assume you referring to bug 81876 - FORMATTING: Fontwork-formatted text is duplicated, affecting only OS X builds. A bit down in the weeds, but for OSX users depending on it an annoyance to be sure. Adding it to mab4.3 with a note on mab4.4--no need to cross post.

Have also added it to bug 42082.
Comment 87 shunesburg69 2014-11-28 22:56:18 UTC
Sorry and thank you for the correction.
Comment 88 deligeo 2014-12-02 08:46:28 UTC
Migrating from 4.2 which reached EOL:
https://www.libreoffice.org/bugzilla/show_bug.cgi?id=42346
Cross reference handling broken when exporting to doc / docx
Same bug still exists in 4.3 ( https://www.libreoffice.org/bugzilla/show_bug.cgi?id=84637)
Comment 89 tommy27 2014-12-05 22:48:56 UTC
adding Bug 78614 - PIVOTTABLE: pivot table not saved in xlsx
Comment 90 Joel Madero 2014-12-06 19:13:38 UTC
Added bug 85128 - crasher when inserting table in impress. BT with symbols on the bug.
Comment 91 sunweb 2014-12-29 10:44:16 UTC
Bug 37223 - Target for paste cells from column in Calc into TABLE will be single cell instead of column

Please fix it, its extremely annoying bug.
Comment 92 Alex Thurgood 2015-01-03 17:40:18 UTC
Adding self to CC if not already on
Comment 93 Peter Nowee 2015-01-17 05:39:07 UTC
In Mac OS X 10.6/10.7, LO 4.2/4.3 messes with files on the filesystem that the user did not even choose to open, which I think is a serious violation.

I am doing what I can to help fix it, but I could really use some developer support.
Comment 94 Matthew Francis 2015-01-22 14:43:47 UTC
Added bug 72988 - it's pretty embarassing that some of our standard presentation templates don't work correctly in slideshow mode, and repeated duplicates confirm that this is annoying users.
Comment 95 Timur 2015-02-16 13:33:12 UTC
Added Bug 86468 - FILEOPEN: DOC import splits the page into two - Section break problem.
Comment 96 Joel Madero 2015-02-19 04:21:57 UTC
Added bug 84483 - crash 

Printing from print preview with comments printing in margin causes crash. Not a regression, appears to have always has this problem

Note: Crash is only if you (1) print from print dialog; and (2)print comments in the margin
Comment 97 m.a.riosv 2015-02-21 01:24:59 UTC
Added bug 89484, Inserting a row in a sheet change references in other sheets in formula without relation with inserted row.
Comment 98 Cor Nouws 2015-03-05 08:23:53 UTC
Adding Bug 89788 - FORMATTING Line spacing Proportional < 100% ignored for paragraphs in tables

It took me an hour or so to fiddle out why some documents do not open with the same number of pages in 4.3.4 and higher, then before.
So people that stumble over this, may be pretty much lost and desperate..
Comment 99 Joel Madero 2015-03-06 03:37:29 UTC
Added bug 89853 - regression

Saving a pptx as a ppt with draw elements results in the draw elements disappearing. Complete loss of data.
Comment 100 Aibara 2015-03-28 18:25:04 UTC
Add bug #49514 - Search/Find "continue at the beginning" ignores previous footnotes (regression).

This bug breaks trust in a basic function and is especially bad since users might not even realize anything is wrong. I've even submitted papers with obvious errors that could have easily been caught if search/find worked correctly.
Comment 101 Joel Madero 2015-03-31 16:58:01 UTC
Added bug 75665 - regression + serious hang

Calc spreadsheets hang when there is long multi-line text in cells. Kohei did some work on it and added a calgrind along with some code pointers some time ago - thought it was fixed but apparently people are still seeing the issue.
Comment 102 Cor Nouws 2015-03-31 20:33:08 UTC
adding Bug 80960 - EDITING Opening file doesn't place cursor on last position of saving (a tough one..)
Comment 103 Timur 2015-04-09 07:49:27 UTC
I add Bug 83309 - FILEOPEN: text paragraph indentation/tab stops in .DOCX displayed incorrectly
I remove  Bug 89788 - FORMATTING Line spacing Proportional < 100% ignored for paragraphs in tables, because it was RESOLVED as NOTABUG
Comment 104 Cor Nouws 2015-04-11 13:47:20 UTC
Adding Bug 49419 - TABLE: Setting cell number format of empty cells is ignored - breaks number recognition (edit) 

Calculation in Writer tables is one of the nice USP's - a pity that it is made so hard with issues around number recognition
Comment 105 Yousuf Philips (jay) 2015-04-14 17:18:34 UTC
Regression - worked in 4.1
Bug 48887: Saving to html embeds images rather than referencing it
Comment 106 Yousuf Philips (jay) 2015-04-17 11:43:54 UTC
Bugs affecting Writer's embedding of images, OLEs, etc. when a border is added around them, which also causes compatibility problems.

Bug 87360: Image/OLE should have 'spacing to content' disabled
Bug 90070: Borders shrink image/OLE size rather than appearing on the outsides
Comment 107 Matthew Millar 2015-04-20 10:56:08 UTC
Added Bug 60441 - FILESAVE: Calc lost comments when more time save file ods

Whilst at the time of writing this bug is closed, the fault still exists and the report is valid, it just requires substantiation.
Comment 108 Cor Nouws 2015-05-03 10:21:07 UTC
adding EDITING: Footers/headers break SHIFT+PGDN selection
Comment 109 Joel Madero 2015-05-06 06:11:00 UTC
Added bug 91078 - regression + bibisected

Deleting a sheet that has no relationship to formulas on other sheets ruins the formulas on those sheets. Simple test document attached.
Comment 110 riesslibo 2015-05-24 07:34:44 UTC
Adding Bug 88443 -  resize image (picture) together with frame does not work

It is an often discussed issue in trainings with end users (they do not understand the behaviour), and inserting, captering and resizing a picture is an often done activity by them.
Comment 111 Timur 2015-05-25 15:23:33 UTC
Since EoL is near, will MABs stay or not? That was useful, but seems like not the most efficient tool. 
There was an idea to have only Importance, but personally, I would like to see raised priority for bugs marked as regression, bisected, have-backtrace.
Comment 112 Joel Madero 2015-05-25 16:49:36 UTC
Yes we are trying to abandon MAB and replace with severity/importance. These fields will soon be locked out for users and only be available to contributors - this is to ensure consistency and objectivity in deciding the severity/importance. 

We are hoping to do a test run of this in the next month or so. We have no plans on making a MAB 5 (although this may change).
Comment 113 arlyns_mervyn 2015-06-03 00:48:09 UTC
Insert Image how headers

If an image is inserted into the header by the command: Ctrl + Shift + O> Format page-> Encabezamiento-> Activate (Mas) -> Como (picture), it does well, but to save and close the file this image disappears, no matter the format in which it is stored, always disappears. (Sorry for my English is not my language)
Comment 114 Michael Stahl 2015-06-03 09:36:17 UTC
undo damage from last edit
Comment 115 Stefan 2015-09-10 23:48:26 UTC
Bug 89818 - Long image inserted at the end of page goes beyond margin and over footer

This bug effects NOT ONLY "long" images, but _all images_ embedded in paragraphs near the end of a page.

"Overlapping" images (over footers and/or below pagemargins) make LO completly useless if you plan to put some images in paragraphs. And using images is not an advanced way to style documents, right?!
Comment 116 tommy27 2015-10-18 02:54:08 UTC
Hi all,

The MAB docs on the wiki have been updated to reflect the new
Priority-based system for categorizing bugs:
https://wiki.documentfoundation.org/QA/Most_Annoying_Bugs

The old MAB tracker bugs (mab4.3, mab4.4, etc.) will remain in
Bugzilla for historical reference, but should be ignored for current
work. 

......................

FINAL mab4.3 STATS
......................

fixed bugs -> 99
open bugs  -> 57

......................

for the record, here is the list of the residual open bugs that I'm going to remove from the "Depends on" field: 

Bug 34467: FORMATTING: Fit to Frame for text boxes is broken
Bug 34957: ODT containing multi-page table with table setting "Keep with next paragraph" is pushed to next page
Bug 36799: If you insert an envelope into a document only the envelope is printed (Mac OS X)
Bug 37315: cropped pictures in .docx file are mangled and in wrong place
Bug 40780: Impress Animation Sound Effect not played after file moved
Bug 44725: VIEWING: Heading - Footer - Pagebreak lines appear somewhere in the page
Bug 48409: FILEOPEN LibO 3.3 documents shows Writer OLE object contents shifted right/down in object after edit of object because of page border issue
Bug 49102: Writer: Incorrect numbering when cells are merged in the table
Bug 49419: TABLE: Setting cell number format of empty cells is ignored - breaks number recognition
Bug 49514: Search / Find 'continue at the beginning' skips / ignores previous footnotes
Bug 49853: EDITING: Attempting paste into find bar with Cmd-V on OS X pastes into document
Bug 50057: EDITING: Replication of frames when record changes (redlining) is on
Bug 53473: Embedded HSQLDB calls flush (CHECKPOINT) too often
Bug 54933: EDITING Report builder: mouse-move control: gap between mouse position
Bug 55018: FILESAVE: Joined cells in table cause table distortion after save to DOC, DOCX
Bug 59918: FILESAVE: FILEOPEN: save document as docx and reopen result in an freeze/endless loop
Bug 60268: FORMATTING: Square root and cdot are not correct displayed under Windows 8
Bug 60533: Brackets (..),{..},[..] inverted )..(,}..{,]..[ when switch to RTL text direction with all fonts
Bug 60589: [Template manager]: Can not copy styles between different files and templates
Bug 61224: EDITING: Footers/headers break SHIFT+PGDN selection
Bug 62073: editing/formatting: pasting formatted font messes up formatting of bullets
Bug 62255: FILEOPEN: PPTX Import background color of table is set to light blue
Bug 66209: inserting/deleting rows: data integrity problem when sum of the charts of the opened documents exceeds the Options->Memory->Number of objects
Bug 66581: XLSX embedded objects do not get imported (just icons, not clickable)
Bug 67347: FILEOPEN: MS .pptx Textbox with stacked text imported wrong size
Bug 67379: Problems changing focus to inside frame
Bug 68604: FILESAVE: part of the comment text is lost in .docx using "save" toolbar button or "save" menu item
Bug 69593: FILEOPEN: PPTX import with shapes causes text to disappear
Bug 70809: EDITING: Selecting with mouse: too fast changing to next/previous page
Bug 71409: Excessive duplicate accessible focused events for Calc input line [a11y]
Bug 72072: text not rendered fully (cut off) when editing 90deg rotated rectangle
Bug 72075: EDITING: undo leads to duplication for operations that involve of drag-and-drop (Slide pane, text areas)
Bug 72504: EDITING: Unable to edit .odb file with non-local URL
Bug 72604: Fax-Wizard - Personal Data are only partial adopted
Bug 72776: FILEOPEN writer doesn't show the chart numbers nor parts of this docx file
Bug 72988: Impress template not rendered correctly (vintage, metropolis, sunset)
Bug 73805: EDITING: Layout Loop when writing into a section with 3 columns
Bug 74934: 'Install' button in update dialog is never activated
Bug 75209: FILEOPEN: Impress pictures not displayed in slideshow
Bug 76239: OpenSymbol font is not retained after an upgrade
Bug 76389: Calc: Used AutoFilter not highlighted when set in Calc and saved as XLS
Bug 76995: MAILMERGE: Wrong record Number in Mailing
Bug 78370: RTF File Imported Incorrectly - Pages Being Merged (Overlapping)
Bug 78614: PIVOTTABLE: pivot table not saved in xlsx
Bug 79538: PRINTING: Images move when printing/creating PDF
Bug 79546: OSX - no video playback in slideshow fullscreen display mode on OSX
Bug 81396: XLSX IMPORT: Data plots in chart not visible when cells have formula, needs Ctrl+Shift+F9
Bug 82009: PIVOTTABLE: Black color on fields of Pivot Table Layot window (Mac OS X only)
Bug 83309: FILEOPEN: text paragraph indentation/tab stops in .DOCX displayed incorrectly
Bug 86321: EDITING, FORMATTING: diagram didn't automatic update when change variabele (recalculation not triggered)
Bug 86468: FILEOPEN: DOC import splits the page into two - Section break problem 
Bug 87111: Add warning about data loss when creating pivot table and deleting data source
Bug 87360: Spacing to content should be disabled for images
Bug 88443: resize image (picture) together with frame does not work
Bug 89139: DATALOSS FILESAVE: xlsx pivot table corrupted after save with LO and re-open with MS Office
Bug 89853: When opening .PPTX impress file, and then resaving as .PPT file. The Smiley/drawing clipart is not shown.
Bug 90070: Adding a border and spacing to content shrinks the size on an image

I set status to RESOLVED MOVED to reflect the new way to handle Most Annoying Bugs.
Comment 117 tommy27 2017-02-18 14:36:25 UTC
when we closed this MAB page in october 2015, 57 bugs were still open.
now 1 year and few months later, 36 are left. LibO keeps improving. 

here's the list of the residual bugs. feel free to retest with latest LibO 5.3.x or 5.4.x dev releases.

I'll be back next year to see how many are still there.
here's the current list.

------------------------------------------------------------------

Bug 36799: If you insert an envelope into a document only the envelope is printed (Mac OS X)

Bug 37315: cropped pictures in .docx file are mangled and in wrong place

Bug 40780: Impress Animation Sound Effect not played after file moved

Bug 44725: VIEWING: Heading - Footer - Pagebreak lines appear somewhere in
the page

Bug 48409: FILEOPEN LibO 3.3 documents shows Writer OLE object contents shifted right/down in object after edit of object because of page border issue

Bug 50057: EDITING: Replication of frames when record changes (redlining) is on

Bug 53473: Embedded HSQLDB calls flush (CHECKPOINT) too often

Bug 54933: EDITING Report builder: mouse-move control: gap between mouse position

Bug 55018: FILESAVE: Joined cells in table cause table distortion after save to DOC, DOCX

Bug 60533: Brackets (..),{..},[..] inverted )..(,}..{,]..[ when switch to RTL text direction with all fonts

Bug 62073: editing/formatting: pasting formatted font messes up formatting of bullets

Bug 66209: inserting/deleting rows: data integrity problem when sum of the
charts of the opened documents exceeds the Options->Memory->Number of objects

Bug 66581: XLSX embedded objects do not get imported (just icons, not
 clickable)

Bug 67347: FILEOPEN: MS .pptx Textbox with stacked text imported wrong size

Bug 68604: FILESAVE: part of the comment text is lost in .docx using "save"
toolbar button or "save" menu item

Bug 69593: FILEOPEN: PPTX import with shapes causes text to disappear

Bug 70809: EDITING: Selecting with mouse: too fast changing to next/previous
 page

Bug 72072: text not rendered fully (cut off) when editing 90deg rotated rectangle

Bug 72504: EDITING: Unable to edit .odb file with non-local URL

Bug 72604: Fax-Wizard - Personal Data are only partial adopted

Bug 72776: FILEOPEN writer doesn't show the chart numbers nor parts of this
docx file

Bug 72988: Impress template not rendered correctly (vintage, metropolis,
sunset)

Bug 73805: EDITING: Layout Loop when writing into a section with 3 columns

Bug 74934: 'Install' button in update dialog is never activated

Bug 75209: FILEOPEN: Impress pictures not displayed in slideshow

Bug 76389: Calc: Used AutoFilter not highlighted when set in Calc and saved
as XLS

Bug 78370: RTF File Imported Incorrectly - Pages Being Merged (Overlapping)

Bug 79538: PRINTING: Images move when printing/creating PDF

Bug 79546: OSX - no video playback in slideshow fullscreen display mode on
OSX

Bug 82009: PIVOTTABLE: Black color on fields of Pivot Table Layot window
(Mac OS X only)

Bug 83309: FILEOPEN: text paragraph indentation/tab stops in .DOCX displayed
incorrectly

Bug 86321: EDITING, FORMATTING: diagram didn't automatic update when change
variabele (recalculation not triggered)

Bug 87360: Spacing to content should be disabled for images

Bug 89139: DATALOSS FILESAVE: xlsx pivot table corrupted after save with LO
and re-open with MS Office 

Bug 89853: When opening .PPTX impress file, and then resaving as .PPT file.
The Smiley/drawing clipart is not shown.

Bug 90070: Adding a border and spacing to content shrinks the size on an
image
Comment 118 Cor Nouws 2017-02-18 19:52:02 UTC
(In reply to tommy27 from comment #117)
> here's the list of the residual bugs. feel free to retest with latest LibO
> 5.3.x or 5.4.x dev releases.

Thanks for making up this list Tommy.
Did you also have the opportunity to check (some) if they may be fixed and the reports have been overseen?